import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'package:plotter/layout/keyboard.dart';
import 'package:plotter/provider/data.dart';
import 'package:plotter/screens/settings.dart';
import 'package:plotter/utils/api.dart';

class Home extends StatefulWidget {
  static const String id = 'home';

  const Home({super.key});

  @override
  HomeState createState() => HomeState();
}

class HomeState extends State<Home> {
  @override
  void initState() {
    super.initState();

    Data myProvider = Provider.of<Data>(context, listen: false);
    myProvider.initParametersValues();
  }

  @override
  Widget build(BuildContext context) {
    Data myProvider = Provider.of<Data>(context);

    return Scaffold(
        appBar: AppBar(
          title: const Text('Stepper plotter assistant'),
          actions: [
            IconButton(
              icon: const Icon(Icons.settings),
              onPressed: () {
                Navigator.push(
                  context,
                  MaterialPageRoute(builder: (context) {
                    return const SettingsPage();
                  }),
                );
              },
            )
          ],
          leading: IconButton(
            icon: Image.asset('assets/icons/application.png'),
            onPressed: () {},
          ),
        ),
        body: SafeArea(
          child: Center(
              child: Column(
            children: [
              Keyboard.buildWidget(myProvider),
              TextButton(
                child: const Text('get API status'),
                onPressed: () => Api.updateApiStatus(myProvider),
              ),
              Text(myProvider.apiStatus)
            ],
          )),
        ));
  }
}
