import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

import 'package:plotter/provider/data.dart';

class SettingsPage extends StatefulWidget {
  const SettingsPage({super.key});

  static const String id = 'settings';

  @override
  SettingsPageState createState() => SettingsPageState();
}

class SettingsPageState extends State<SettingsPage> {
  TextEditingController apiHostFieldController = TextEditingController();

  @override
  void dispose() {
    apiHostFieldController.dispose();
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    Data myProvider = Provider.of<Data>(context);

    apiHostFieldController.text = myProvider.getParameterValue('apiHost');

    return Scaffold(
      appBar: AppBar(
        title: const Text('Stepper - settings'),
        actions: [
          IconButton(
            icon: const Icon(Icons.save),
            onPressed: () {
              myProvider.setParameterValue('apiHost', apiHostFieldController.text);
              Navigator.pop(context);
            },
          )
        ],
        leading: IconButton(
          icon: Image.asset('assets/icons/application.png'),
          onPressed: () {},
        ),
      ),
      body: Padding(
        padding: const EdgeInsets.all(16.0),
        child: TextFormField(
          controller: apiHostFieldController,
          decoration: const InputDecoration(
            border: UnderlineInputBorder(),
            labelText: 'API Host',
          ),
        ),
      ),
    );
  }
}
